//
//  LiveRoomDonationRankingTotalCanView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/15.
//

import SwiftUI

struct LiveRoomDonationRankingTotalCanView: View {
    
    let totalCan: Int
    
    var body: some View {
        HStack(alignment: .center, spacing: 0) {
            Text("합계")
                .font(.custom(Font.bold.rawValue, size: 13.3))
                .foregroundColor(Color.grayd2)
            
            Spacer()
            
            Text("\(totalCan)")
                .font(.custom(Font.medium.rawValue, size: 16))
                .foregroundColor(Color.button)
            
            Text("캔")
                .font(.custom(Font.medium.rawValue, size: 10.7))
                .foregroundColor(Color.graybb)
                .padding(.leading, 4)
        }
        .padding(.horizontal, 18.7)
        .padding(.vertical, 10.7)
        .background(Color.bg)
        .cornerRadius(8)
    }
}
